#!/bin/bash
################################################################
#
# uninstall.sh
#
# Uninstallation program for createusers.
#
################################################################

#############
# Main code #
#############

# See if we are root.
if ! [ $UID -eq 0 ] 
then 
     echo "You must be root to run this program."
     exit 1
fi

# Ask where the manual pages are.
echo "What is the directory for commands (section 1) manual pages? "
echo -n "(eg: /usr/share/man/man1 or /usr/man/man1) "
read man_dir

# See if the directory exists.
if ! test -d $man_dir; then
     echo "The directory $man_dir does not exist." >&2
     exit 1
fi

# Delete the man pages from the man directory.
echo "Removing createusers man pages from $man_dir"
rm -f $man_dir/createusers.1.gz
rm -f $man_dir/removeusers.1.gz
rm -f $man_dir/updateuserpasswd.1.gz 
rm -f $man_dir/autopasswd.1.gz
rm -f $man_dir/pass.sh.1.gz

# Delete /etc/createusers.conf 
echo "Removing /etc/createusers.conf configuration file"
rm -f /etc/createusers.conf 

# Delete usr/local/lib/createusers
echo "Removing directory /usr/local/lib/createusers"
rm -fr /usr/local/lib/createusers

# Delete scripts from /usr/sbin
echo "Removing scripts from /usr/sbin"
rm -f /usr/sbin/createusers
rm -f /usr/sbin/removeusers
rm -f /usr/sbin/updateuserpasswd
rm -f /usr/sbin/createusers_GUI
rm -f /usr/sbin/pass.sh

# Delete ~/.my.cnf which stores the MySQL password for use by MySQL client
echo "Removing ~/.my.cnf"
rm -f ~/.my.cnf

echo "Removing ~/.pg.password"
rm -f ~/.pg.password

echo ""
echo "Thank you for using createusers."
echo ""
